package com.gic.cloud.data.hook.vo;

import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author guojx
 * @Date 2024/5/17 15:33
 */
public class FreeQueryRecord implements Serializable {

    /** 查询定义编号（timestamp） */
    protected String id = "";

    /** 查询定义编号（timestamp）
     * @return
     */
    public String getId() {
        return id;
    }

    /** 查询定义编号（timestamp）
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 更新时间 */
    protected Date updateTime = null;

    /** 更新时间
     * @return
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /** 更新时间
     * @param updateTime
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /** 用户编号 */
    protected String userId = "";

    /** 用户编号
     * @return
     */
    public String getUserId() {
        return userId;
    }

    /** 用户编号
     * @param userId
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /** 查询定义名称 */
    protected String name = "";

    /** 查询定义名称
     * @return
     */
    public String getName() {
        return name;
    }

    /** 查询定义名称
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 查询内容 */
    protected String content = "";

    /** 查询内容
     * @return
     */
    public String getContent() {
        return content;
    }

    /** 查询内容
     * @param content
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * 是否否有旧的表extract开头的表，1：有 需要提示：老版取数平台extract表将停止更新并下线，请根据映射关系表调整查询语句
     */
    private Integer hasOldTable;

    public Integer getHasOldTable() {
        if (StringUtils.isNotBlank(content) && content.contains("extract_")) {
            return 1;
        }
        return 0;
    }
}
